Package org.h2gis.functions.spatial.crs

## Class ST_IsGeographicCRS

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.crs.ST_IsGeographicCRS

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_IsGeographicCRS
    extends org.h2gis.api.DeterministicScalarFunction

Method to check if the CRS of the geometry is geographic

Author:
  Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_IsGeographicCRS()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Boolean` `execute​(Connection connection, org.locationtech.jts.geom.Geometry geometry)` Return true if the geometry has a geographic CRS
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_IsGeographicCRS

    public ST_IsGeographicCRS()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static Boolean execute​(Connection connection,
                                  org.locationtech.jts.geom.Geometry geometry)
                           throws SQLException

Return true if the geometry has a geographic CRS

Parameters:
  `connection` - database
  `geometry` - `Geometry`
Returns:
  true if the geometry has a geographic CRS
Throws:
  `SQLException`